<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\TeilnehmerUebersicht\FilterTeilnehmerUebersicht;

class FilterTeilnehmerUebersichtController extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\TeilnehmerUebersicht\FilterTeilnehmerUebersicht\FilterTeilnehmerUebersichtController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new FilterTeilnehmerUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new FilterTeilnehmerUebersichtPresenter($pUseCaseResponse);
  }
}